
QGIS Application - Feature request #3775

if column name used for symbology changed, QGIS should ask when applying a QML file

2011-04-26 04:43 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13833

Description

Take a vector and apply some kind of styling to it, then save the QML style file.

Change the name of the column used for styling and try re-apply the QML file:

QGIS will fail to style the vector as in the QML file the column name is now wrong.

In this cases QGIS should warn the user and allow him/her to choose the column to be used to style the vector.

Related issues:

Duplicated by QGIS Application - Bug report # 8582: QGis 1.9 d2af494 - Proble... Closed 2013-09-06

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-09-06 07:23 AM - Jürgen Fischer

- Priority changed from Low to Normal

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#5 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#6 - 2014-06-20 01:46 PM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Future Release - Nice to have

- Operating System deleted (All)

- Status info deleted (0)

#7 - 2015-11-20 08:25 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...
still valid for QGIS 2.13 master. No error message even in the Log Panel...

#8 - 2015-11-20 08:56 AM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2015-12-20 11:08 AM - Giovanni Manghi

- Start date set to 2015-12-20

- Tracker changed from Bug report to Feature request

#10 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
